> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/upload-files-with-the-geopard-api.md).

# Nalaganje datotek z API-jem GeoPard

{% hint style="success" %}
Priporočen pristop za datoteke, večje od 6 MB, je [potek z vnaprej podpisanim URL-jem](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

API GeoPard omogoča nalaganje arhivov ZIP s podatkovnimi zbirkami tal/pridelka/uporabe sredstev/mej za nadaljnjo obdelavo in analitiko.

{% hint style="danger" %}
Zaradi omejitve AWS je največja velikost datoteke, ki jo lahko naložite prek te končne točke REST, 6 MB.
{% endhint %}

Koraki za nalaganje datotek, večjih od 6 MB, so opisani v [Nalaganje datotek ZIP (večjih od 6 MB)](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Takoj po uspešnem nalaganju podatkovne zbirke tal/pridelka/uporabe sredstev jo GeoPardov pogon poveže z ustreznimi polji znotraj določene kmetije.

Takoj po uspešnem nalaganju meje GeoPardov pogon začne njeno obdelavo.

Odziv vsebuje `<uuid>` , s katerim lahko spremljate stanje obdelave.

#### Primer zahteve:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametri:

1. `<type>` - vrsta naložene podatkovne zbirke. Vrednost mora biti `yield` ALI `soil` ALI `applied` ALI `boundary`.
2. `<farm_uuid>` - `uuid` kmetije, kamor bo naložena datoteka (izbirno).
3. `<token>` - dostopni žeton GeoPard.
4. `@path/to/file.zip` - pot do datoteke, ki jo nalagate.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
